import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

abstract class Basic {
  final String id;

  Basic(this.id);

  bool operator ==(o) => o is Basic && o.id == id;
  @override
  int get hashCode => id.hashCode;
}

class ImageData extends Basic {
  final String imagePath;

  ImageData(this.imagePath) : super(imagePath);

  ImageData.named({@required this.imagePath}) : super(imagePath);
}

class VideoData extends Basic {
  final String thumbnailPath;
  final String videoPath;

  VideoData(this.thumbnailPath, this.videoPath) : super(videoPath);

  VideoData.named({this.thumbnailPath, this.videoPath}) : super(videoPath);
}

class SmileyData extends Basic {
  final String smileyPath;

  SmileyData({this.smileyPath}) : super(DateTime.now().toString());
}

class TextData extends Basic {
  static const EdgeInsets TEXT_PADDING = const EdgeInsets.all(12.0);

  final String data;
  final BoxDecoration decoration;
  final TextStyle textStyle;

  TextData(
      {@required this.data,
      @required this.decoration,
      @required this.textStyle})
      : super(DateTime.now().toString());
}
