import 'package:flutter/material.dart';
import 'package:ocg_app/ocg_app.dart';

class VideoButton extends StatefulWidget {
  final Function() takeVideo;
  final Function() stopVideo;
  final bool isVideoRecording;
  const VideoButton({
    Key key,
    @required this.takeVideo,
    @required this.stopVideo,
    this.isVideoRecording = false,
  }) : super(key: key);
  @override
  State<StatefulWidget> createState() => _VideoButtonState();
}

class _VideoButtonState extends State<VideoButton>
    with TickerProviderStateMixin<VideoButton> {
  double bigSize = 62.0, smallSize = 48.0;
  bool isVideoRecording;
  double borderRadius = 72.0;
  bool camera = true;
  @override
  void initState() {
    super.initState();
    isVideoRecording = false;
  }

  @override
  Widget build(BuildContext context) {
    return EaseInWidget(
      onTap: () {
        if (widget.isVideoRecording)
          widget.stopVideo();
        else {
          widget.takeVideo();
        }
      },
      child: Container(
        margin: EdgeInsets.symmetric(vertical: 8.0),
        padding: EdgeInsets.all(4.0),
        decoration: BoxDecoration(
            color: Colors.transparent,
            shape: BoxShape.circle,
            border:
                Border.all(color: Colors.white.withOpacity(01), width: 4.0)),
        child: Container(
          width: bigSize,
          height: bigSize,
          child: Center(
            child: AnimatedContainer(
              width: widget.isVideoRecording ? smallSize : bigSize,
              height: widget.isVideoRecording ? smallSize : bigSize,
              duration: Duration(milliseconds: 700),
              decoration: BoxDecoration(
                color: Colors.red,
                borderRadius: BorderRadius.circular(
                    widget.isVideoRecording ? 14 : smallSize),
              ),
            ),
          ),
        ),
      ),
    );
  }

  void takePicture() {
    widget.takeVideo().then((val) {});
  }
}
